

; turn off the COP watchdog
; COPCTL can only be written once in normal
; mode so we use it to turn off the COP
; watchdog timer rate generator!
COPRST		equ	$0017	; COP Arm/Reset COP Register
COPCTL		equ	$0016	; COP Control Register

***
;cop_off: "cop.asm"
;	turns off the COP watchdog timer
;	Reg Input:
;		None
;	Reg Output:
;		None
***

cop_off:
	ldaa	#$00		; clears the control register
	staa	COPCTL		; which disables the COP watchdog
	rts

